package com.bailuntec.domain.pojo;


import java.time.LocalDateTime;

public class ResponseResult<T>  {

    private java.time.LocalDateTime LocalDateTime;
    private Integer status;
    private String error;
    private String message;
    private String path;
    private T data;

    public ResponseResult() {
    }

    public ResponseResult(LocalDateTime LocalDateTime, Integer status, String error, String message, String path) {
        this.LocalDateTime = LocalDateTime;
        this.status = status;
        this.error = error;
        this.message = message;
        this.path = path;
    }

    public ResponseResult(LocalDateTime LocalDateTime, Integer status, String error, String message, String path, T data) {
        this.LocalDateTime = LocalDateTime;
        this.status = status;
        this.error = error;
        this.message = message;
        this.path = path;
        this.data = data;
    }


    public LocalDateTime getLocalDateTime() {
        return LocalDateTime;
    }

    public void setLocalDateTime(LocalDateTime LocalDateTime) {
        this.LocalDateTime = LocalDateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
